TextWriter (Solr 3.6.2 API)
Keywords: org.apache.noggit.TextWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.noggit
Class TextWriter

    java.lang.Object
      org.apache.noggit.TextWriter

Direct Known Subclasses:
  JSONWriter

    public abstract class TextWriter

extends Object

Version:
  $Id$
Author:
  yonik

Constructor Summary
`TextWriter()`

Method Summary
`abstract void` | `endArray()`
`abstract void` | `endObject()`
`abstract void` | `startArray()`
`abstract void` | `startObject()`
`abstract void` | `write(boolean bool)`
`abstract void` | `write(double number)`
`abstract void` | `write(long number)`
`abstract void` | `writeNameSeparator()`
`abstract void` | `writeNull()`
`abstract void` | `writeNumber(CharArr digits)`
`abstract void` | `writePartialNumber(CharArr digits)`
`abstract void` | `writeString(CharArr str)`
`abstract void` | `writeString(CharSequence str)`
`abstract void` | `writeStringChars(CharArr partialStr)`
`abstract void` | `writeStringEnd()`
`abstract void` | `writeStringStart()`
`abstract void` | `writeValueSeparator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextWriter

    public TextWriter()

Method Detail

### writeNull

    public abstract void writeNull()

### writeString

    public abstract void writeString(CharSequence str)

### writeString

    public abstract void writeString(CharArr str)

### writeStringStart

    public abstract void writeStringStart()

### writeStringChars

    public abstract void writeStringChars(CharArr partialStr)

### writeStringEnd

    public abstract void writeStringEnd()

### write

    public abstract void write(long number)

### write

    public abstract void write(double number)

### write

    public abstract void write(boolean bool)

### writeNumber

    public abstract void writeNumber(CharArr digits)

### writePartialNumber

    public abstract void writePartialNumber(CharArr digits)

### startObject

    public abstract void startObject()

### endObject

    public abstract void endObject()

### startArray

    public abstract void startArray()

### endArray

    public abstract void endArray()

### writeValueSeparator

    public abstract void writeValueSeparator()

### writeNameSeparator

    public abstract void writeNameSeparator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD